Get Survey Qualification
curl --request POST \
--url https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/{surveyNumber}/qualification \
--header 'Content-Type: application/json' \
--header 'publisher-authentication-key: <api-key>' \
--data '
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
'{
"surveyNumber": 17633734077335336,
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 55
}
],
"displayOptions": [
"Male"
],
"quotas": {
"Male": 0,
"Female": 13
},
"questionType": "Single Punch",
"preCodes": [
"18"
]
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}Endpoint Examples
Get Survey Qualification
Retrieve the qualification criteria for a specific survey.
POST
/
surveys
/
{surveyNumber}
/
qualification
Get Survey Qualification
curl --request POST \
--url https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/{surveyNumber}/qualification \
--header 'Content-Type: application/json' \
--header 'publisher-authentication-key: <api-key>' \
--data '
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
'{
"surveyNumber": 17633734077335336,
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 55
}
],
"displayOptions": [
"Male"
],
"quotas": {
"Male": 0,
"Female": 13
},
"questionType": "Single Punch",
"preCodes": [
"18"
]
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}Get Survey Qualification
Retrieve the qualification criteria for a specific survey.Endpoint
POST /surveys/{surveyNumber}/qualification
Headers
{
"publisher-authentication-key": "your_project_secret_key"
}
Note: Thepublisher-authentication-keyheader corresponds to your Secret Key. TheauthorizationKeyin the request body corresponds to your Web API Key.
Request Body
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
Response
{
"surveyNumber": 17633734077335336,
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 99
}
],
"displayOptions": [],
"quotas": {},
"questionType": "Numeric - Open-end",
"preCodes": [
"18",
"19",
"20",
"21",
"22",
"23",
"24",
"25",
"26",
"27",
"28",
"29",
"30",
"31",
"32",
"33",
"34",
"35",
"36",
"37",
"38",
"39",
"40",
"41",
"42",
"43",
"44",
"45",
"46",
"47",
"48",
"49",
"50",
"51",
"52",
"53",
"54",
"55",
"56",
"57",
"58",
"59",
"60",
"61",
"62",
"63",
"64",
"65",
"66",
"67",
"68",
"69",
"70",
"71",
"72",
"73",
"74",
"75",
"76",
"77",
"78",
"79",
"80",
"81",
"82",
"83",
"84",
"85",
"86",
"87",
"88",
"89",
"90",
"91",
"92",
"93",
"94",
"95",
"96",
"97",
"98",
"99"
]
},
{
"question": "GENDER",
"validOptions": [
"Male",
"Female"
],
"displayOptions": [
"Male",
"Female"
],
"quotas": {},
"questionType": "Single Punch",
"preCodes": []
},
{
"question": "STATE",
"validOptions": [
"CALIFORNIA"
],
"displayOptions": [
"ALABAMA",
"ALASKA",
"American Samoa",
"ARIZONA",
"ARKANSAS",
"CALIFORNIA",
"COLORADO",
"CONNECTICUT",
"DELAWARE",
"DISTRICT OF COLUMBIA",
"Federated States of Micronesia",
"FLORIDA",
"GEORGIA",
"Guam",
"HAWAII",
"IDAHO",
"ILLINOIS",
"INDIANA",
"IOWA",
"KANSAS",
"KENTUCKY",
"LOUISIANA",
"MAINE",
"Marshall Islands",
"MARYLAND",
"MASSACHUSETTS",
"MICHIGAN",
"MINNESOTA",
"MISSISSIPPI",
"MISSOURI",
"MONTANA",
"NEBRASKA",
"NEVADA",
"NEW HAMPSHIRE",
"NEW JERSEY",
"NEW MEXICO",
"NEW YORK",
"NORTH CAROLINA",
"NORTH DAKOTA",
"Northern Mariana Islands",
"NOT APPLICABLE",
"OHIO",
"OKLAHOMA",
"OREGON",
"Palau",
"PENNSYLVANIA",
"Puerto Rico",
"RHODE ISLAND",
"SOUTH CAROLINA",
"SOUTH DAKOTA",
"TENNESSEE",
"TEXAS",
"UTAH",
"VERMONT",
"Virgin Islands",
"VIRGINIA",
"WASHINGTON",
"WEST VIRGINIA",
"WISCONSIN",
"WYOMING"
],
"quotas": {},
"questionType": "Dummy",
"preCodes": []
},
{
"question": "ETHNICITY",
"validOptions": [
"White",
"Asian *** Asian Indian",
"Asian *** Chinese",
"Asian *** Filipino",
"Asian *** Japanese",
"Asian *** Korean",
"Asian *** Vietnamese",
"Asian *** Other",
"Pacific Islander *** Native Hawaiian",
"Pacific Islander *** Guamanian",
"Pacific Islander *** Samoan",
"Pacific Islander *** Other Pacific Islander"
],
"displayOptions": [
"White",
"Black, or African American",
"American Indian or Alaska Native",
"Asian *** Asian Indian",
"Asian *** Chinese",
"Asian *** Filipino",
"Asian *** Japanese",
"Asian *** Korean",
"Asian *** Vietnamese",
"Asian *** Other",
"Pacific Islander *** Native Hawaiian",
"Pacific Islander *** Guamanian",
"Pacific Islander *** Samoan",
"Pacific Islander *** Other Pacific Islander",
"Some other race",
"Prefer not to answer"
],
"quotas": {},
"questionType": "Single Punch",
"preCodes": []
},
{
"question": "STANDARD_EMPLOYMENT",
"validOptions": [
"Employed full-time",
"Employed part-time",
"Self-employed full-time",
"Self-employed part-time"
],
"displayOptions": [
"Parental leave",
"Leave of absence",
"Unable to work",
"Other type of paid work",
"Bringing up a family",
"Unpaid full-time carer",
"Working unpaid",
"In-between jobs / looking for work",
"Pursuing own goals",
"Employed full-time",
"Employed part-time",
"Self-employed full-time",
"Self-employed part-time",
"Active military",
"Inactive military/Veteran",
"Temporarily unemployed",
"Full-time homemaker",
"Retired",
"Student",
"Disabled",
"Prefer not to answer"
],
"quotas": {},
"questionType": "Single Punch",
"preCodes": []
},
{
"question": "STANDARD_POLITICAL_PARTY",
"validOptions": [
"Republican",
"Independent",
"Democrat"
],
"displayOptions": [
"Strong Republican",
"Republican",
"Independent who leans Republican",
"Independent",
"Independent who leans Democrat",
"Democrat",
"Strong Democrat",
"Prefer not to say"
],
"quotas": {},
"questionType": "Single Punch",
"preCodes": []
},
{
"question": "STANDARD_EDUCATION_v2",
"validOptions": [
"Some high school or less",
"High school graduate",
"Other post high school vocational training",
"Completed some college, but no degree",
"Associate's degree",
"Bachelor's degree",
"Master's or professional degree",
"Doctorate degree"
],
"displayOptions": [
"Some high school or less",
"High school graduate",
"Other post high school vocational training",
"Completed some college, but no degree",
"Associate's degree",
"Bachelor's degree",
"Master's or professional degree",
"Doctorate degree",
"None of the above"
],
"quotas": {},
"questionType": "Single Punch",
"preCodes": []
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}
Error Response
{
"message": "internal server error",
"code": 500,
"success": false
}
Authorizations
Send your Secret Key using the publisher-authentication-key header. This header is required for every request.
Path Parameters
Example:
17633734077335336
Body
application/json
Payload for endpoints that only require the Web API Key in the request body.
Web API Key obtained from the Mirats Publisher Platform.
Example:
"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
⌘I

